<?php 
add_action('prima_styles', 'prima_font_styles');
function prima_font_styles() {
	$fonts = array_merge(prima_webfonts(), prima_customfonts(), prima_googlefonts());
	$body_font = prima_webfonts(); 
	$bodyfont = prima_get_option('bodyfont'); 
	$body_font[$bodyfont]['font'] = str_replace('&quot;', '"', $body_font[$bodyfont]['font']);
	$headerfont = prima_get_option('headerfont'); 
	$fonts[$headerfont]['font'] = str_replace('&quot;', '"',$fonts[$headerfont]['font']);
	if ( $bodyfont ) {
		echo 'body { font-family: '.$body_font[$bodyfont]['font'].'; } '; 
	}
	if ( $headerfont && $fonts[$headerfont]['type'] == '' ) {
		echo 'h1, h2, h3, #brief p { font-family: '.$fonts[$headerfont]['font'].'; } ';
		echo 'ul.best-seller-list li .producttext h3, ul.latest-product-list li .producttext h3 {font-family:inherit} ';
	}
	elseif ( $headerfont && $fonts[$headerfont]['type'] == 'google' ) {
		echo 'h1, h2, h3, #brief p { font-family: "'.$fonts[$headerfont]['font'].'"; } ';
		echo 'ul.best-seller-list li .producttext h3, ul.latest-product-list li .producttext h3 {font-family:inherit} ';
	}
	elseif ( $headerfont && $fonts[$headerfont]['type'] == 'custom' ) {
		echo 'h1, h2, h3, #brief p { font-family: "'.$fonts[$headerfont]['font'].'"; } ';
		echo 'ul.best-seller-list li .producttext h3, ul.latest-product-list li .producttext h3 {font-family:inherit} ';
	}
}
add_action('wp_head', 'prima_googlefont_script');
function prima_googlefont_script() {
	$fonts = array_merge(prima_webfonts(), prima_customfonts(), prima_googlefonts());
	$body_font = prima_webfonts(); 
	$bodyfont = prima_get_option('bodyfont'); 
	$headerfont = prima_get_option('headerfont'); 
	if ( $headerfont && $fonts[$headerfont]['type'] == 'google' ) {
		$googlefont = $fonts[$headerfont]['label'];	
		$googlefont = str_replace(" ","+",$googlefont);	
		$output .= "\n<!-- Google Webfonts -->\n";
		$output .= '<link href="http://fonts.googleapis.com/css?family=' . $googlefont .'" rel="stylesheet" type="text/css" />'."\n\n";
		$output = str_replace('|"','"',$output);
		echo $output;
	}
	elseif ( $headerfont && $fonts[$headerfont]['type'] == 'custom' ) {
		$customfont = $fonts[$headerfont]['font'];	
		$output .= '<link href="'.CHILD_URL.'/fonts/'.$fonts[$headerfont]['css'].'" rel="stylesheet" type="text/css" />'."\n\n";
		echo $output;
	}
}