<?php

add_action('get_header', 'prima_wpec_scripts_footer');
function prima_wpec_scripts_footer() {
	if(!class_exists('WP_eCommerce')) return;
	global $wp_styles, $wpsc_theme_url, $wp_query;
	if ( has_filter( 'wpsc_enqueue_user_script_and_css' ) && apply_filters( 'wpsc_mobile_scripts_css_filters', false ) ) {
		/* nothing here */
	} else {
		$version_identifier = WPSC_VERSION . "." . WPSC_MINOR_VERSION;
		$siteurl = get_option( 'siteurl' );
		wp_deregister_script( 'wp-e-commerce' );
		wp_enqueue_script( 'wp-e-commerce', WPSC_CORE_JS_URL.'/wp-e-commerce.js', array( 'jquery' ), $version_identifier, true );
		wp_deregister_script( 'infieldlabel' );
		wp_enqueue_script( 'infieldlabel', WPSC_CORE_JS_URL.'/jquery.infieldlabel.min.js', array( 'jquery' ), $version_identifier, true );
		wp_deregister_script( 'wp-e-commerce-ajax-legacy' );
		wp_enqueue_script( 'wp-e-commerce-ajax-legacy', WPSC_CORE_JS_URL.'/ajax.js', false, $version_identifier, true );
		// wp_deregister_script( 'wp-e-commerce-dynamic' );
		// wp_enqueue_script( 'wp-e-commerce-dynamic', $siteurl."/index.php?wpsc_user_dynamic_js=true", false, $version_identifier, true );
		wp_deregister_script( 'livequery' );
		wp_enqueue_script( 'livequery', WPSC_URL.'/wpsc-admin/js/jquery.livequery.js', array( 'jquery' ), '1.0.3', true );
		wp_deregister_script( 'jquery-rating' );
		wp_enqueue_script( 'jquery-rating', WPSC_CORE_JS_URL.'/jquery.rating.js', array( 'jquery' ), $version_identifier, true );
		wp_deregister_script( 'wp-e-commerce-legacy' );
		wp_enqueue_script( 'wp-e-commerce-legacy', WPSC_CORE_JS_URL.'/user.js', array( 'jquery' ), $version_identifier, true );
		$lightbox = get_option('wpsc_lightbox', 'thickbox');
		if( $lightbox == 'thickbox' ) {
			wp_deregister_script( 'wpsc-thickbox' );
			// wp_enqueue_script( 'wpsc-thickbox',	WPSC_CORE_JS_URL.'/thickbox.js', array( 'jquery' ), 'Instinct_e-commerce', true );
		} elseif( $lightbox == 'colorbox' ) {
			wp_deregister_script( 'colorbox-min' );
			// wp_enqueue_script( 'colorbox-min', WPSC_CORE_JS_URL.'/jquery.colorbox-min.js', array( 'jquery' ), 'Instinct_e-commerce', true );
			wp_deregister_script( 'wpsc_colorbox' );
			// wp_enqueue_script( 'wpsc_colorbox',	WPSC_CORE_JS_URL.'/wpsc_colorbox.js', array( 'jquery', 'colorbox-min' ), 'Instinct_e-commerce', true );
		}
	}
}

if ( isset( $_GET['prima_scripts'] ) && ($_GET['prima_scripts'] == 'true') )
 	add_action( "init", 'prima_dynamic_scripts' );
function prima_dynamic_scripts() {
	header( 'Content-Type: text/javascript' );
	header("Expires: -1");
	header("Cache-Control: no-cache");
	header("Pragma: no-cache");
	do_action('prima_scripts');
	exit();
}

add_action('wp_footer', 'prima_load_dynamic_scripts', 1001);
function prima_load_dynamic_scripts() {
	$siteurl = get_option( 'siteurl' );
	if ( is_ssl() ) $siteurl = str_replace( 'http://', 'https://', $siteurl);
	echo '<script type="text/javascript" src="'.$siteurl.'/index.php?prima_scripts=true"></script>'."\n";
}

add_action('wp_footer', 'prima_load_custom_scripts', 1001);
function prima_load_custom_scripts() {
	echo '<script type="text/javascript">/* Custom Scripts */'."\n";
	do_action('prima_custom_scripts');
	echo '</script>'."\n";
}

add_action('get_header', 'prima_load_scripts');
function prima_load_scripts() {
	if (is_singular() && get_option('thread_comments') && comments_open())
		wp_enqueue_script('comment-reply');
	wp_enqueue_script('superfish', PRIMA_JS_URL.'/superfish.js', array('jquery'), '1.4.8', TRUE);
	wp_enqueue_script('jquery-easing', PRIMA_JS_URL.'/jquery.easing.1.3.js', array('jquery'), '1.3', TRUE);
	wp_enqueue_script('jquery-bxSlider', PRIMA_JS_URL.'/jquery.bxSlider.min.js', array('jquery'), '3.0', TRUE);
}

add_action('get_header', 'prima_load_prettyphoto_scripts');
function prima_load_prettyphoto_scripts() {
	wp_enqueue_script('jquery-prettyPhoto', PRIMA_CORE_JS_URL.'/prettyphoto/jquery.prettyPhoto.js', array('jquery'), '3.0.1', TRUE);
}

// add_action('get_header', 'prima_load_jplayer_scripts');
function prima_load_jplayer_scripts() {
	wp_enqueue_script('jplayer', trailingslashit(PRIMA_CORE_JS_URL).'jquery.jplayer.min.js', false, '2.0.0', TRUE);
}

add_action('prima_scripts', 'prima_dynamic_prettyphoto_scripts');
function prima_dynamic_prettyphoto_scripts() { 
?>
jQuery(document).ready(function($){
    jQuery("a[rel^='prettyPhoto'], a.thickbox").prettyPhoto({social_tools:false});
});
<?php
}

// add_action('prima_scripts', 'prima_dynamic_auto_prettyphoto_scripts');
function prima_dynamic_auto_prettyphoto_scripts() { 
?>
jQuery(document).ready(function($){
	jQuery('a[href$="jpg"], a[href$="JPG"], a[href$="jpeg"], a[href$="JPEG"], a[href$="png"], a[href$="gif"], a[href$="bmp"]').not('.image_thumb_clickable').prettyPhoto({social_tools:false});
});
<?php
}

add_action('prima_scripts', 'prima_dynamic_checkout_scripts');
function prima_dynamic_checkout_scripts() { 
	if(!class_exists('WP_eCommerce')) return;
?>
jQuery(document).ready(function($) {
    $("a#checkout-next").click(function(){
        $("#shopping-cart-form").fadeIn();
        var checkoutWidth = $("#shopping-cart").width() + 30;
        $("#checkout-bar-in").animate({width:'+=50%'});
        $("#checkout-slider").animate({marginLeft:'-=' + checkoutWidth}, 800, function() {
			$('body,html').animate({
				scrollTop: 0
			}, 800);
		});
		return false;		
    });
    $("a#checkout-back").click(function(){
        $("#shopping-cart-form").fadeOut();
        var checkoutWidth = $("#shopping-cart").width() + 30;
        $("#checkout-bar-in").animate({width:'-=50%'});
        $("#checkout-slider").animate({marginLeft:'+=' + checkoutWidth}, 800, function() {
			$('body,html').animate({
				scrollTop: 0
			}, 800);
		});
		return false;		
    });
});
<?php
}

add_action('prima_scripts', 'prima_dynamic_slider_scripts');
function prima_dynamic_slider_scripts() { 
	$slidertrans = prima_get_option('slidertrans') ? prima_get_option('slidertrans') : "fade";
	$sliderspeed = prima_get_option('sliderspeed') ? (int)prima_get_option('sliderspeed') : "1500";
	$sliderpause = prima_get_option('sliderpause') ? (int)prima_get_option('sliderpause') : "4000";
	$sliderauto = prima_get_option('sliderauto') ? "true" : "false";
?>
jQuery(document).ready(function($) {
    $('ul.feature-list').bxSlider({
        mode: '<?php echo $slidertrans ?>',
        auto: <?php echo $sliderauto ?>,
        easing: 'jswing',
        autoControls: true,
        autoHover: true,
        pager: true,
        speed: <?php echo $sliderspeed ?>,
        pause: <?php echo $sliderpause ?>,
        controls: true,
        pagerSelector: '#slider-controls'
    });
});
<?php
}

add_action('prima_scripts', 'prima_dynamic_catslider_scripts');
function prima_dynamic_catslider_scripts() { 
	$catsliderauto = prima_get_option('homepagecatsslideauto') ? "true" : "false";
?>
jQuery(document).ready(function($) {
    $('div.slideable div.front-category-slider').bxSlider({
        easing: 'jswing',
        speed: 1500,
        pager: false,
        infiniteLoop: true, 
        pause: 5000,
        autoHover: true,
        auto: <?php echo $catsliderauto ?>
    });
});
<?php
}

add_action('prima_scripts', 'prima_dynamic_producthover_scripts');
function prima_dynamic_producthover_scripts() { 
	if ( prima_get_option('productsimagehover') == 'buynow' ) :
?>
jQuery(document).ready(function($) {
    $('ul.product-list li div.product-meta').hover(function(){
        $(this).find('img').fadeTo('slow', 0.3);
        $(this).find('input.wpsc_buy_button').show();
    },
    function(){
        $(this).find('img').fadeTo('slow', 1);
        $(this).find('input.wpsc_buy_button').hide();
    });
});
<?php else : ?>
jQuery(document).ready(function($) {
	$('ul.product-list li div.product-meta').hover(function(){
		$(this).find('img').fadeTo('slow', 0.3);
	},
	function(){
		$(this).find('img').fadeTo('slow', 1);
	});
});
<?php
	endif;
}

add_action('prima_scripts', 'prima_dynamic_imagehover_scripts');
function prima_dynamic_imagehover_scripts() { 
?>
jQuery(document).ready(function($) {
	$('a.large-blog-image, a.category-thumbnail img').hover(function(){
		$(this).fadeTo('slow', 0.5);
	},
	function(){
		$(this).fadeTo('slow', 1);
	});

});
<?php
}

add_action('prima_scripts', 'prima_dynamic_search_scripts');
function prima_dynamic_search_scripts() { 
	if(!class_exists('WP_eCommerce')) return;
?>
jQuery(document).ready(function($) {
	$('input.wpsc_product_search').val("<?php _e('Search Products...',PRIMA_DOMAIN) ?>");
	jQuery('input.searchbox, input.wpsc_product_search').each(function(){
		var txtval = jQuery(this).val();
		jQuery(this).focus(function(){
			jQuery(this).val('')
		});
		jQuery(this).blur(function(){
			if(jQuery(this).val() == ""){
				jQuery(this).val(txtval);
			}
		});
	});
});
<?php
}

add_action('prima_scripts', 'prima_dynamic_cartquantity_scripts');
function prima_dynamic_cartquantity_scripts() { 
	if(!class_exists('WP_eCommerce')) return;
?>
jQuery(document).ready(function($) {
	$('input.wpsc_buy_button:not(.make_purchase)').click(function(){
        if(jQuery(this).parents('form:first').find('select.wpsc_select_variation[value=0]:first').length)
            return false;
		var cartCount = $('#cart-top a span.cartcount').text();
		var cartInt = parseInt(cartCount);
		var quantity = $(this).parents('#single_product_page_container, table.list_productdisplay td, #products_page_container .productcol').find('input[name="wpsc_quantity_update"]').val();
		var quantity = parseInt(quantity);
		if (quantity > 1)
			cartInt += quantity;
		else
			cartInt++;
		if ( cartInt == 1 ) { 
			$('#cart-top a span.cartcount').text(cartInt + " <?php _e('item',PRIMA_DOMAIN) ?>");
		}
		else {
			$('#cart-top a span.cartcount').text(cartInt + " <?php _e('items',PRIMA_DOMAIN) ?>");
		}
	});
	$('a.emptycart').live('click', function(){
		$('#cart-top a span.cartcount').text("<?php _e('0 items',PRIMA_DOMAIN) ?>");
	});
});
<?php
}

add_action('prima_custom_scripts', 'prima_custom_emptycart_scripts');
function prima_custom_emptycart_scripts() { 
	if(!class_exists('WP_eCommerce')) return;
	$url = htmlentities(add_query_arg('wpsc_ajax_action', 'empty_cart', remove_query_arg('ajax')), ENT_QUOTES, 'UTF-8');
?>
jQuery(document).ready(function($) { $('a.emptycart').attr("href", "<?php echo $url ?>"); });
<?php
}

add_action('prima_scripts', 'prima_dynamic_variation_stock');
function prima_dynamic_variation_stock() { 
	if(!class_exists('WP_eCommerce')) return;
?>
jQuery(document).ready(function($) {
	jQuery(".wpsc_select_variation").live('change', function() {
		jQuery('option[value="0"]', this).attr('disabled', 'disabled');
		parent_form = jQuery(this).parents("form.product_form");
		form_values =jQuery("input[name='product_id'], .wpsc_select_variation",parent_form).serialize( );
		jQuery.post( 'index.php?update_variation_stock=true', form_values, function(returned_data) {
			variation_msg = '';
			eval(returned_data);
			if( product_id != null ) {
				if( variation_msg != '' ){
					if(variation_status){
						jQuery("p#stock_display_"+product_id).removeClass('out_of_stock');	
						jQuery("p#stock_display_"+product_id).addClass('in_stock');	
					}else{
						jQuery("p#stock_display_"+product_id).removeClass('in_stock');	
						jQuery("p#stock_display_"+product_id).addClass('out_of_stock');	
					}
					jQuery("p#stock_display_"+product_id).html(variation_msg);
				}
			}
		});
		return false;
	});
});
<?php
}

add_action('prima_scripts', 'prima_dynamic_variation_image');
function prima_dynamic_variation_image() { 
	if(!class_exists('WP_eCommerce')) return;
?>
jQuery(document).ready(function($) {
	jQuery(".wpsc_select_variation").live('change', function() {
		jQuery('option[value="0"]', this).attr('disabled', 'disabled');
		parent_form = jQuery(this).parents("form.product_form");
		form_values =jQuery("input[name='product_id'], .wpsc_select_variation",parent_form).serialize( );
		jQuery.post( 'index.php?update_variation_image=true', form_values, function(returned_data) {
			variation_full_img = '';
			variation_single_img = '';
			variation_img_title = '';
			eval(returned_data);
			if( product_id != null ) {
				if( variation_single_img != '' ){
					jQuery("#main_image_"+product_id+" img").attr("src", variation_single_img);
					jQuery("#main_image_"+product_id+" a").attr("href", variation_full_img);
					jQuery("#main_image_"+product_id+" a").attr("title", variation_img_title);
				}
			}
		});
		return false;
	});
});
<?php
}

// add_action('prima_scripts', 'prima_dynamic_single_image');
function prima_dynamic_single_image() { 
	if(!class_exists('WP_eCommerce')) return;
?>
jQuery(document).ready(function($) {
	jQuery(".single_image_thumb a").live('click', function() {
		image_thumb_id = jQuery(this).attr("id");
		form_values = "image_id="+image_thumb_id;
		jQuery.post( 'index.php?update_single_image=true', form_values, function(returned_data) {
			product_full_img = '';
			product_single_img = '';
			product_img_title = '';
			eval(returned_data);
			if( product_id != null ) {
				if( product_single_img != '' ){
					jQuery("#main_image_"+product_id+" img").attr("src", product_single_img);
					jQuery("#main_image_"+product_id+" a").attr("href", product_full_img);
					jQuery("#main_image_"+product_id+" a").attr("title", product_img_title);
				}
			}
		});
		return false;
	});
});
<?php
}

add_action('prima_scripts', 'prima_dynamic_single_multi_image');
function prima_dynamic_single_multi_image() { 
	if(!class_exists('WP_eCommerce')) return;
?>
jQuery(document).ready(function($) {
	jQuery(".single_image_thumb a").live('click', function() {
		image_thumb_id = jQuery(this).attr("id");
		product_full_img = jQuery("#single_"+image_thumb_id).attr("href");
		product_single_img = jQuery("#single_"+image_thumb_id+" img").attr("src");
		product_img_title = jQuery("#single_"+image_thumb_id).attr("title");
		if( product_id != null ) {
			if( product_single_img != '' ){
				jQuery("#main_image_"+product_id+" img").attr("src", product_single_img);
				jQuery("#main_image_"+product_id+" a").attr("href", product_full_img);
				jQuery("#main_image_"+product_id+" a").attr("title", product_img_title);
			}
		}
		return false;
	});
});
<?php
}

add_action('prima_scripts', 'prima_shortcodes_scripts');
function prima_shortcodes_scripts() {
?>
jQuery(document).ready(function($) {
	$('div.prima-multislide-box').hover(function(){
		$(this).fadeTo('slow', 0.5);
	},
	function(){
		$(this).fadeTo('slow', 1);
	});
	// When page loads...
	jQuery(".ps-tab_content").hide(); //Hide all content
	jQuery("ul.ps-tabs li:first").addClass("active").show(); //Activate first tab
	jQuery(".ps-tab_content:first").show(); //Show first tab content
	// On Click Event
	jQuery("ul.ps-tabs li").click(function() {
		jQuery("ul.ps-tabs li").removeClass("active"); //Remove any "active" class
		jQuery(this).addClass("active"); //Add "active" class to selected tab
		jQuery(".ps-tab_content").hide(); //Hide all tab content
		var activeTab = jQuery(this).find("a").attr("href"); //Find the href attribute value to identify the active tab + content
		jQuery(activeTab).fadeIn(); //Fade in the active ID content
		return false;
	});
	$(".ps-toggle-content").hide();
	$(".ps-toggle-trigger").click(function(){
		$(this).toggleClass("active").next().slideToggle("slow");
		return false; 
	});
});
<?php
}

add_action('wp_footer', 'prima_print_shortcodes_js', 1000);
function prima_print_shortcodes_js() {
	global $prima_shortcodes_js;
	if ( is_array( $prima_shortcodes_js ) ) {
		foreach ( $prima_shortcodes_js as $js ) {
			echo $js;
		}
	}
}

add_action('prima_custom_scripts', 'prima_print_shortcodes_scripts', 1000);
function prima_print_shortcodes_scripts() {
	global $prima_shortcodes_scripts;
	echo $prima_shortcodes_scripts;
}